      subroutine rangsave(iunit,cfile) ! generic call. 
c bernd berg apr 12 2007. saves status of marsaglia generator.
      include '../../libs/fortran/implicit.sta'
      character*(*) cfile
      common/raset1/u(97),c,cd,cm,i,j
      open(unit=iunit,file=cfile,status='unknown',form='unformatted')
      write(iunit) u,c,cd,cm,i,j
      close(iunit)
      return
      end
